> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List available OAuth providers



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/auth/providers
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/auth/providers:
    get:
      tags:
        - auth
      summary: List available OAuth providers
      operationId: listAuthProviders
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  properties:
                    auth_url:
                      type: string
                    provider:
                      type: string
                  type: object
                type: array
          description: Provider list

````